Analytics
Create Analytics Report
AuthorizationBearer <token>
In: header
namestring
Length
1 <= length <= 200description?string|null
query
A live query over outbound facts. Saved on reports as query_json.
dashboard_id?string|null
layout?|null
Response Body
application/json
application/json
curl -X POST "https://api.obert.io/api/analytics/reports" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "query": { "metrics": [ "actions" ] } }'{
"id": "string",
"name": "string",
"description": "string",
"query": {
"metrics": [
"actions"
],
"dimensions": [
"date"
],
"chart_type": "line",
"date_range": {
"kind": "preset",
"preset": "today"
},
"interval": "day",
"filters": [
{
"dimension": "date",
"operator": "in",
"values": [
"string"
]
}
],
"breakdown_limit": 10,
"compare_previous": false
},
"created_by": "string",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"dashboards": [
{
"id": "string",
"name": "string"
}
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}